%global __brp_check_rpaths %{nil}
%global __requires_exclude ^libmpi
%global packname  ElliptCopulas
%global packver   0.1.4.1
%global rlibdir   /usr/local/lib/R/library

Name:             R-CRAN-%{packname}
Version:          0.1.4.1
Release:          1%{?dist}%{?buildtag}
Summary:          Inference of Elliptical Distributions and Copulas

License:          GPL-3
URL:              https://cran.r-project.org/package=%{packname}
Source0:          %{url}&version=%{packver}#/%{packname}_%{packver}.tar.gz


BuildRequires:    R-devel >= 3.6.0
Requires:         R-core >= 3.6.0
BuildArch:        noarch
BuildRequires:    R-CRAN-Runuran 
BuildRequires:    R-CRAN-wdm 
BuildRequires:    R-CRAN-Matrix 
BuildRequires:    R-CRAN-kStatistics 
BuildRequires:    R-CRAN-pbapply 
Requires:         R-CRAN-Runuran 
Requires:         R-CRAN-wdm 
Requires:         R-CRAN-Matrix 
Requires:         R-CRAN-kStatistics 
Requires:         R-CRAN-pbapply 

%description
Provides functions for the simulation and the nonparametric estimation of
elliptical distributions, meta-elliptical copulas and trans-elliptical
distributions, following the article Derumigny and Fermanian (2022)
<doi:10.1016/j.jmva.2022.104962>.

%prep
%setup -q -c -n %{packname}

# fix end of executable files
find -type f -executable -exec grep -Iq . {} \; -exec sed -i -e '$a\' {} \;
# prevent binary stripping
[ -d %{packname}/src ] && find %{packname}/src -type f -exec \
  sed -i 's@/usr/bin/strip@/usr/bin/true@g' {} \; || true
[ -d %{packname}/src ] && find %{packname}/src/Make* -type f -exec \
  sed -i 's@-g0@@g' {} \; || true
# don't allow local prefix in executable scripts
find -type f -executable -exec sed -Ei 's@#!( )*/usr/local/bin@#!/usr/bin@g' {} \;

%build

%install

mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css
# remove buildroot from installed files
find %{buildroot}%{rlibdir} -type f -exec sed -i "s@%{buildroot}@@g" {} \;

%files
%{rlibdir}/%{packname}
